com.ihr.xbrl.web

## Class DefaultValidationHandler

- java.lang.Object
- - com.ihr.xbrl.web.DefaultValidationHandler

- All Implemented Interfaces:
    ValidationHandler

      public class DefaultValidationHandler
      extends java.lang.Object
      implements ValidationHandler

  Receives a validation report and generates a string representation of it.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultValidationHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init(javax.servlet.ServletConfig config)` This method will be called by the ValidationXBRL servlet at the time ValidationXBRL servlet is initialized.
    `void` | `processReport(XBRLInstance instance, XBRLValidationReport report, javax.servlet.http.HttpServletResponse response)` This function is called by the validation service.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultValidationHandler

          public DefaultValidationHandler()

  - ### Method Detail

    - #### processReport

          public void processReport(XBRLInstance instance,
                           XBRLValidationReport report,
                           javax.servlet.http.HttpServletResponse response)
                             throws java.io.IOException,
                                    javax.servlet.ServletException

      Description copied from interface: `ValidationHandler`
      This function is called by the validation service. Classes implementing this interface will receive the instance to be validated, the XBRLValidationReport and will prepare some output to be sent to the response.
      Specified by:
        `processReport` in interface `ValidationHandler`
      Parameters:
        `instance` - the instance
        `report` - the report
        `response` - the response
      Throws:
        `java.io.IOException` - Signals that an I/O exception has occurred.
        `javax.servlet.ServletException` - the servlet exception

    - #### init

          public void init(javax.servlet.ServletConfig config)
                    throws javax.servlet.ServletException

      Description copied from interface: `ValidationHandler`
      This method will be called by the ValidationXBRL servlet at the time ValidationXBRL servlet is initialized.
      Specified by:
        `init` in interface `ValidationHandler`
      Parameters:
        `config` - the config
      Throws:
        `javax.servlet.ServletException` - the servlet exception